All in one mega endpoint which allows end users to create a shipment, run carrier selection, and have the carrier generate a label based on the service level selected.Ask AIpost https://api.shipium.com/api/v1/shipment/carrierselection/labelBody ParamscurrencyCodestringrequiredCurrency in which all the rates for shipping carrier selection costs will be calculated in.multiParcelShipmentParametersobjectUsed for multi parcel shipment requests; mutually exclusive with createUsingExistingShipment and shipmentParameters. Details of the shipment plus each of its packages, including weight, package type, items, tags, and to/from addresses.multiParcelShipmentParameters objectshipmentParametersobjectRequest parameters used to create a shipment (not as part of the megaMethod flow).shipmentParameters objectcreateUsingExistingShipmentobjectUsed to reference an existing shipment; mutually exclusive with shipmentParameters and multiParcelShipmentParameters. Pass in a partnerShipmentId or shipiumShipmentId and we will look to see if the shipment exists. If both are supplied and point to the same shipment then we will continue on. If both are supplied and are not referencing the same shipment we will throw and error.createUsingExistingShipment objectcreateUsingExistingOrderobjectUsed to reference an existing order; fields required to complete the shipment should be passed in shipmentParameters. Pass in a partnerOrderId or shipiumOrderIand we will look to see if the shipment exists. If both are supplied and point to the same shipment then we will continue on. If both are supplied and are not referencing the same shipment we will throw and error.createUsingExistingOrder objectgenerateLabelbooleanWhen "true" a request to the selected carrier will be sent to generate a label for the shipment based on the information provided in the "labelParameters" field of this object. When "false"this step is skipped and the system will record what carrier service method would have generated a label for.truefalseincludeEvaluatedServiceMethodsInResponsebooleanWhen "true" a request will expand information on the response to include unselected service methods that made it through filtering.truefalseincludeLineItemsInEvaluatedServiceMethodsbooleanWhen "true" a response will include line item information for the returned evaluated service methods, provided that includeEvaluatedServiceMethodsInResponse is also set to true.truefalselabelParametersobjectInformation on the types of labels to be generated by the carrier, as will as if a manifest for the shipment is generated. This field is ignored if the "generateLabel" field is set to "false".labelParameters objectcarrierServiceMethodAllowListarray of stringsA list of carrierServiceMethodId and/or carriers that should be considered for selection.carrierServiceMethodAllowListADD stringignoreRuleSetsbooleanWhen "true", rule sets will be ignored during carrier selection.truefalseincludeInjectionProfilesbooleanWhen "true", service methods from the configured InjectionProfiles will be considered during carrier selection.truefalseinjectionParametersarray of objectsA list of Injection Profiles and/or Injection Profile/Site tuples that should be considered during carrier selection. If an InjectionSite is specified, it must be accompanied by an InjectionProfile.injectionParametersADD objectinlineReturnsLabelobjectDetails of the shipment to be returned and its corresponding destination addresses, contact and fulfillmentContext details.inlineReturnsLabel objectcustomerForwardLabelsarray of objectsList of forward shipments originating from the customer. Each entry contains details about the individual packagecustomerForwardLabelsADD objectignoreCarrierMinimumDimensionsbooleanWhen "true", the minimum dimensions of carriers will effectively be ignored when deciding if a carrier service method is eligible to be considered during carrier selection.truefalseHeadersX-DELEGATED-PARTNER-IDstringX-MEGA-PROCESS-VERSION-OVERRIDEstringResponses 200Details on shipment, carrier selection and label to be generated. 400Invalid inputs were provided.Updated 5 months ago